Mailinglist Archive: opensuse-factory (826 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20171017 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20171017

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
GraphicsMagick
SDL2 (2.0.5 -> 2.0.6)
apache-commons-collections
apache-pdfbox
drbd-utils
gutenprint (5.2.12 -> 5.2.13)
kmod
nagios
obs-service-recompress (0.3.1+git20160217.7897d3f ->
0.3.1+git20170704.59bf231)
patterns-xfce
pcsc-cyberjack (3.99.5final.SP10 -> 3.99.5final.SP11)
python-matplotlib
speexdsp
texlive-specs-m (2017.131.20170101_pl1svn43813 ->
2017.132.20170101_pl1svn43813)
virtualbox
wxWidgets-3_0
wxWidgets-3_0-nostl
xen
xfce4-branding-openSUSE
xmlgraphics-commons
xmlgraphics-fop
yast2-squid (3.1.5 -> 4.0.0)

=== Details ===

==== GraphicsMagick ====
Subpackages: GraphicsMagick-devel libGraphicsMagick-Q16-3
libGraphicsMagick3-config libGraphicsMagickWand-Q16-2

- builds for sle11

==== SDL2 ====
Version update (2.0.5 -> 2.0.6)

- Disable SSE3 (and also SSE2 on ix86) to prevent crashes on older
CPUs that don't support these instructions
- Add dbus.diff
- Enable KMS/DRM video driver
- Update to new upstream release 2.0.6
* Added Vulkan graphics support in SDL_vulkan.h.
* Added SDL_ComposeCustomBlendMode() to create custom blend
modes for 2D rendering.
* Added support for many game controllers, including the
Nintendo Switch Pro Controller.
* Added support for inverted axes and separate axis directions
in game controller mappings.
* Added functions to return information about joysticks and
open game controllers.
* Added SDL_GameControllerNumMappings() and
SDL_GameControllerMappingForIndex() to be able to enumerate
the built-in game controller mappings.
* Added SDL_LoadFile() and SDL_LoadFile_RW() to load a file
into memory.
* Added SDL_DuplicateSurface() to make a copy of a surface.
* Added an experimental JACK audio driver.
* Implemented non-power-of-two audio resampling.
* Added the hint SDL_HINT_AUDIO_RESAMPLING_MODE to control the
quality of resampling.
* Added the hint SDL_HINT_RENDER_LOGICAL_SIZE_MODE to control
the scaling policy for SDL_RenderSetLogicalSize().
* Added the hints SDL_HINT_MOUSE_NORMAL_SPEED_SCALE and
SDL_HINT_MOUSE_RELATIVE_SPEED_SCALE to scale the mouse speed
when being read from raw mouse input.
* Added the hint SDL_HINT_TOUCH_MOUSE_EVENTS to control whether
SDL will synthesize mouse events from touch events.
* Added an experimental KMS/DRM video driver for embedded
development.
- Remove dbus-ime.diff (no longer needed)

==== apache-commons-collections ====

- Don't condition the maven defines on release version, but on
_maven_repository being defined

==== apache-pdfbox ====

- Don't condition the maven defines on release version, but on
_maven_repository being defined

==== drbd-utils ====

- bsc#1061145, fencing is moved from disk secion to net
Add move_fencing_from_disk_to_net_in_example.patch
- bsc#1061147, skip running drbdadm sh-b-pri in drbd9
Add skip_sh-b-pri_in_v9.patch

==== gutenprint ====
Version update (5.2.12 -> 5.2.13)

- Version upgrade to 5.2.13:
Major changes in this release (compared to 5.2.12):
* Correct mis-defined paper type that collided with standard
A4 paper. This resulted in some Canon and PCL printers
mishandling A4 paper.
* Code optimizations in the dye-sublimation driver, resulting
in a significant (2x-2.7x) boost in performance.
* The Canon driver has improved printer firmware papersize
detection when using automatic paper source (Autofeed).
* Added support for two Epson inkjet printers.
* Added experimental support for many Canon printers.
* Removed support for iP100 (unsupported).
* Added the Datamax-O'Neil H class series of printers.
For details see the NEWS file.
- For SLE11 and SLE10 it must be built --without-gimp2
because since Gutenprint 5.2.13 the gimp_pixels_to_units function
is called in in src/gimp2/print.c and according to
https://developer.gimp.org/api/2.0/libgimpbase/libgimpbase-gimpunit.html
the gimp_pixels_to_units function is available since GIMP 2.8
but SLE11 provides GIMP 2.6.2 and SLE10 provides GIMP 2.2.10.
Accordingly the main package conficts with an installed
gutenprint-gimpplugin <= 5.2.12 which intentionally should
break an automated RPM package version upgrade
to make the user aware that by installing Gutenprint 5.2.13
there is no longer a gutenprint-gimpplugin for SLE11 or SLE10.

==== kmod ====
Subpackages: kmod-compat libkmod2

- Add missing coreutils dependency for initrd macros (bsc#1055492).

==== nagios ====
Subpackages: nagios-www

- Do not introduce new RPM group just for nagios-contrib.
Use established Development/Tools/Other instead.

==== obs-service-recompress ====
Version update (0.3.1+git20160217.7897d3f -> 0.3.1+git20170704.59bf231)

- Update to version 0.3.1+git20170704.59bf231:
* Add README.md file
* [dist] added spec file to git

==== patterns-xfce ====
Subpackages: patterns-xfce-xfce patterns-xfce-xfce_basis
patterns-xfce-xfce_laptop patterns-xfce-xfce_office

- use pulseaudio plugin instead of plain mixer plugin

==== pcsc-cyberjack ====
Version update (3.99.5final.SP10 -> 3.99.5final.SP11)

- update to 3.99.5 Service Pack 11
* add support for cyberJack one

==== python-matplotlib ====
Subpackages: python3-matplotlib python3-matplotlib-cairo
python3-matplotlib-gtk3 python3-matplotlib-tk

- Fix/enhance build with tests:
- set PYTHONPATH, otherwise tests will not find the python
modules installed to the buildroot
- Add BuildRequires for several tex styles/resources
- Add BuildRequires: xorg-x11-Xvfb, needed for Qt backend tests
- Remove python-Pillow, tests are only using png, not e.g jpeg
- increase image compare tolerance, our Freetype 2.7 renders
slightly different to the baseline FT 2.6
- Add upstream 0001-Allow-divmod-to-be-overridden-by-num.patch,
to cope with numpy 1.13 changes
- Add upstream 166a14473272_Fix-contour-colour-level-determination.patch
- Add upstream 97e170d2fc2c_Pass-integers-to-np_linspace.patch
- Also remove runtime-only python-tk dependecy from BuildRequires:
- Rebase the matplotlib setup.cfg on upstream version
- Guard several BuildRequires: which are not necessary for building
with the "tests" conditional, most backends are pure python
- Do not install/package baseline images only necessary for tests,
shrinks the main package by 60 MByte

==== speexdsp ====
Subpackages: libspeexdsp1 speexdsp-devel

- Some packaging cleanup with spec-cleaner

==== texlive-specs-m ====
Version update (2017.131.20170101_pl1svn43813 -> 2017.132.20170101_pl1svn43813)

- Avoid shell for dealing with perl shebangs (boo#1053707)
- Increase version of algorithm2e.sty to fix boo#1051054
... mention added patch "algorithm2e_umlauts.dif"

==== virtualbox ====
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11

- Make additional change specified in bsc#1060072. Moving VBoxSDL and
VBoxSDL.so from package
virtualbox to virtualbox-qt removes an additional need to load the libqt*
binaries on a
text-only installation running headless VMs.

==== wxWidgets-3_0 ====
Subpackages: libwx_baseu-suse3 libwx_baseu_net-suse3 libwx_baseu_xml-suse3
libwx_gtk2u_adv-suse3 libwx_gtk2u_aui-suse3 libwx_gtk2u_core-suse3
libwx_gtk2u_gl-suse3 libwx_gtk2u_html-suse3 libwx_gtk2u_media-suse3
libwx_gtk2u_propgrid-suse3 libwx_gtk2u_qa-suse3 libwx_gtk2u_richtext-suse3
libwx_gtk2u_stc-suse3 libwx_gtk2u_xrc-suse3

- Fix SLE12 build with SDL1.
- Make use of %is_opensuse to select SDL1 for SLE12

==== wxWidgets-3_0-nostl ====
Subpackages: libwx_baseu-suse-nostl3 libwx_baseu_net-suse-nostl3
libwx_baseu_xml-suse-nostl3 libwx_gtk2u_adv-suse-nostl3
libwx_gtk2u_core-suse-nostl3 libwx_gtk2u_html-suse-nostl3
libwx_gtk2u_qa-suse-nostl3

- Fix SLE12 build with SDL1.
- Make use of %is_opensuse to select SDL1 for SLE12

==== xen ====
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- bsc#1056278 - VUL-0: xen: Missing NUMA node parameter
verification (XSA-231)
59b7d664-mm-make-sure-node-is-less-than-MAX_NUMNODES.patch
- bsc#1056280 - VUL-0: xen: Missing check for grant table (XSA-232)
59b7d69b-grant_table-fix-GNTTABOP_cache_flush-handling.patch
- bsc#1056281 - VUL-0: xen: cxenstored: Race in domain cleanup
(XSA-233)
59b7d6c8-xenstore-dont-unlink-connection-object-twice.patch
- bsc#1056282 - VUL-0: xen: insufficient grant unmapping checks for
x86 PV guests (XSA-234)
59b7d6d9-gnttab-also-validate-PTE-perms-upon-destroy-replace.patch
- bsc#1055321 - VUL-0: xen: add-to-physmap error paths fail to
release lock on ARM (XSA-235)
599da329-arm-mm-release-grant-lock-on-xatp1-error-paths.patch
- Upstream patches from Jan (bsc#1027519)
59a01223-x86-check-for-alloc-errors-in-modify_xen_mappings.patch
59a0130c-x86-efi-dont-write-relocs-in-efi_arch_relocate_image-1st-pass.patch
59a9221f-VT-d-use-correct-BDF-for-VF-to-search-VT-d-unit.patch
59ae9177-x86-emul-fix-handling-of-unimplemented-Grp7-insns.patch
59aec335-x86emul-correct-VEX-W-handling-for-VPINSRD.patch
59aec375-x86emul-correct-VEX-L-handling-for-VCVTx2SI.patch
59afcea0-x86-introduce-and-use-setup_force_cpu_cap.patch
59b2a7f2-x86-HVM-correct-repeat-count-update-linear-phys.patch
- Dropped gcc7-xen.patch

==== xfce4-branding-openSUSE ====
Subpackages: exo-branding-openSUSE libgarcon-branding-openSUSE
libxfce4ui-branding-openSUSE midori-branding-openSUSE openSUSE-xfce-icon-theme
thunar-volman-branding-openSUSE xfce4-notifyd-branding-openSUSE
xfce4-panel-branding-openSUSE xfce4-power-manager-branding-openSUSE
xfce4-session-branding-openSUSE xfce4-settings-branding-openSUSE
xfdesktop-branding-openSUSE xfwm4-branding-openSUSE

- use plugin-pulseaudio instead of plugin-mixer
- recommend pavucontrol and plugin-pulseaudio instead of xfe4-mixer
- replace application-menu with whiskermenu
- brand whiskermenu suse style
- require whiskermenu from panel-branding-openSUSE
- fix obsoletes of exo-branding-openSUSE

==== xmlgraphics-commons ====

- Don't condition the maven defines on release version, but on
_maven_repository being defined

==== xmlgraphics-fop ====

- Don't condition the maven defines on release version, but on
_maven_repository being defined

==== yast2-squid ====
Version update (3.1.5 -> 4.0.0)

- Replace the generic "boost-devel" build dependency with more
specific "libboost_regex-devel" (bsc#1062805)
- 4.0.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages